      ******************************************************************
      **                                                              **
      **  Program name:  CMQTML                                       **
      **                                                              **
      **  Description:   This file declares the MQTM structure,       **
      **                 which is part of IBM Message Queue Interface **
      **                 (MQI) in the Windows NT environment.         **
      **                                                              **
      ** Licensed Materials - Property of IBM                         **
      ** 63H9336                                                      **
      ** (C) Copyright IBM Corp. 1994,1996.                           **
      **                                                              **
      **  Status:        Version 2 Release 0                          **
      **                                                              **
      ******************************************************************

      **   MQTM structure
        10 MQTM.
      **    Structure identifier
         15 MQTM-STRUCID     PIC X(4).
      **    Structure version number
         15 MQTM-VERSION     PIC S9(9) BINARY.
      **    Name of triggered queue
         15 MQTM-QNAME       PIC X(48).
      **    Name of process object
         15 MQTM-PROCESSNAME PIC X(48).
      **    Trigger data
         15 MQTM-TRIGGERDATA PIC X(64).
      **    Application type
         15 MQTM-APPLTYPE    PIC S9(9) BINARY.
      **    Application identifier
         15 MQTM-APPLID      PIC X(256).
      **    Environment data
         15 MQTM-ENVDATA     PIC X(128).
      **    User data
         15 MQTM-USERDATA    PIC X(128).

